Class | Chef::ReservedNames::Win32::Memory
In: | lib/chef/win32/memory.rb
Parent: | Object

### Methods

local_alloc local_discard local_flags local_free local_free_finalizer local_realloc local_size

### Included Modules

Chef::ReservedNames::Win32::API::Memory

### Public Class methods

local_alloc(length, flags = LPTR) {|result| ...}

local_alloc(length[, flags]) [BLOCK] Allocates memory using LocalAlloc If BLOCK is specified, the memory will be passed to the block and freed afterwards.

local_discard(pointer)

local_discard(pointer) Discard memory. Equivalent to local_realloc(pointer, 0)

local_flags(pointer)

local_flags(pointer) Get lock count and Windows flags for local_alloc allocated memory. Use: flags, lock_count = local_flags(pointer)

local_free(pointer)

local_free(pointer) Free memory allocated using local_alloc

local_free_finalizer(pointer)
local_realloc(pointer, size, flags = LMEM_MOVEABLE | LMEM_ZEROINIT)

local_realloc(pointer, size[, flags]) Resizes memory allocated using LocalAlloc.

local_size(pointer)

local_size(pointer) Gets the size of memory allocated using LocalAlloc.

[Validate]